Skip to content

Get permission space details in batches

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get permission space details through the permission space unique identifier (Code) respectively.

Method name

ManagementClient.getPermissionNamespacesBatch

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
codesstring[]Yes-Permission space code list, batches can be separated by commas Array length limit: 50.["example1","example2"]

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.getPermissionNamespacesBatch({
    codes: ["examplePermissionNamespace1", "examplePermissionNamespace2"],
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: GetPermissionNamespaceListResponseDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
dataarrayresponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "code": "examplePermissionNamespace",
    "name": "Example Permission Space",
    "description": "Example Permission Space Description"
  }
}

Data structure

GetPermissionNamespaceRespDto

NameTypeIs it requiredDescriptionExample value
codestringyespermission space unique identifierexamplePermissionNamespace
namestringyespermission space nameexample permission space
descriptionstringnopermission space descriptionexample permission space description

Agent infrastructure for identity, memory, and web action.